Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "e16be8c8-980d-480e-98a4-2ebb483dc311",
"purchase_order_id": "412e8052-d07d-490e-a8d9-5677113dd3e5",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "8f602b17-8d24-442a-b382-697cf57a6d90",
"id2": 2,
"jobs_id": "ccaefda8-3105-4e68-889b-5d5697854a2a",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "86970b8a-12e1-44c3-94b3-e8612ca888f6",
"supplier_company_code": "sample string 6",
"user_id": "41c7ee71-6257-4ba6-a4cc-2d43d2bf2c07",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-11-08T11:13:48.9288703+00:00",
"date_update": "2026-11-08T11:13:48.9288703+00:00",
"date_delivery": "2026-11-08T11:13:48.9288703+00:00",
"confirmed_date_delivery": "2026-11-08T11:13:48.9288703+00:00",
"delivery_db_address_id": "c7f50dcf-f1f8-4f5a-8443-bbec32d9973b",
"approved_by_user_id": "a97c82e9-c58f-40e5-a392-9e32af5f25a3",
"approved_by_user_code": "sample string 18",
"technical_user_id": "ece9fdbd-8859-432d-91a4-2bca6b88a7d2",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "8220ad80-966a-4623-8723-07e332e798f3",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "00ecd649-c507-4d7d-9bdb-79543e072df2",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-11-08T11:13:48.9288703+00:00"
},
"article_id": "b4fbe204-1e35-495d-b03e-ea80a832c1e6",
"article_code": "sample string 5",
"article": {
"id": "2693b8e9-9199-4510-ac27-e624aabacb83",
"article_category_id": "1f6b55a1-b26b-4891-b44f-3d10833cbfbb",
"article_category": {
"id": "9ff478b1-57fb-4ec7-8be8-3955ef4fd89b",
"parent_id": "9bd7a2bc-4de1-4858-ad31-63043ac78544",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-08T11:13:48.9478555+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "c411c2a1-e5d5-4a7b-a19b-21cfef8f30b7",
"article_group_1_code": "sample string 5",
"article_group_2_id": "c0b1eaef-ea75-4e1f-9673-d312b66a8a11",
"article_group_2_code": "sample string 7",
"article_group_3_id": "b72096e3-dc91-4d09-b09d-f70821cacd88",
"article_group_3_code": "sample string 9",
"article_group_4_id": "69637a8e-0f6b-4f78-908b-f3280df439d4",
"article_group_4_code": "sample string 11",
"article_group_5_id": "a0e74e6f-5af0-44bb-9cb9-15b752e81608",
"article_group_5_code": "sample string 13",
"article_group_6_id": "537d0704-e1fc-4e2e-a7af-f2e22bdb8b22",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-08T11:13:48.9478555+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-08T11:13:48.9478555+00:00",
"date_update": "2026-11-08T11:13:48.9478555+00:00",
"modified_dateutc": "2026-11-08T11:13:48.9478555+00:00",
"article_color_id": "27083b98-3bd8-4a00-88af-93c1b6dfc688",
"article_color_code": "sample string 38",
"article_color": {
"id": "49ca4e92-8d7c-454e-9633-7097f800cbda",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-08T11:13:48.9478555+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "7634225d-3618-4d14-8d89-dcb1dd0497b5",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "e98c7e6f-05ea-4e52-9f4c-8102474a76fd",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-11-08T11:13:48.9478555+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.